---
search:
  tags:
    - vaults
    - POST
seo:
  description: >-
    Takes the client Subako presents to the provider and… Reference for the POST
    /v1/vaults/{vault_id}/credentials/oauth endpoint in the Subako Public API
    API.
sidebar:
  label: Start connecting a credential through OAuth
  badge: POST
title: Start connecting a credential through OAuth
type: openapi-operation
---
Takes the client Subako presents to the provider and answers the URL to send the browser to. An `mcp` credential connects through the workspace OAuth client `oauth_client_id` names, or else Subako discovers the MCP server's authorization server and registers a client with it for `redirect_uri`. An `http` credential always connects through a workspace OAuth client, and is sent to its origins as `authorization: Bearer`. The provider sends the browser back to `redirect_uri` with `code` and `state`, and the same caller completes the connection with them, once, within ten minutes.

<Operation source="api" id="start-credential-oauth" />
